Bug 664398 - QLogic qla2xxx: Backport critical parts of 8.03.05.01.06.1-k0 to [rhel-6.0.z]
Summary: QLogic qla2xxx: Backport critical parts of 8.03.05.01.06.1-k0 to [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Gris Ge
URL:
Whiteboard:
Depends On: 635710
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-20 10:08 UTC by RHEL Program Management
Modified: 2011-03-02 10:09 UTC (History)
25 users (show)

Fixed In Version: kernel-2.6.32-71.17.1.el6
Doc Type: Enhancement
Doc Text:
The qla2xxx driver for QLogic Fibre Channel Host Bus Adapters (HBAs) has been updated to upstream version 8.03.05.01.06.1-k0, which provides a number of bug fixes and enhancements over the previous version.
Clone Of:
Environment:
Last Closed: 2011-02-22 17:39:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
0001-qla2xxx-Drop-srb-reference-before-waiting-for-comple.patch (3.11 KB, patch)
2011-01-24 20:47 UTC, Chad Dupuis (Cavium)
no flags Details | Diff
0002-qla2xxx-Properly-set-the-return-value-in-function-ql.patch (848 bytes, patch)
2011-01-24 20:49 UTC, Chad Dupuis (Cavium)
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0283 0 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2011-02-22 17:38:22 UTC

Description RHEL Program Management 2010-12-20 10:08:51 UTC
This bug has been copied from bug #635710 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Chad Dupuis (Cavium) 2011-01-24 20:47:52 UTC
Created attachment 475039 [details]
0001-qla2xxx-Drop-srb-reference-before-waiting-for-comple.patch

Comment 4 Chad Dupuis (Cavium) 2011-01-24 20:49:08 UTC
Created attachment 475040 [details]
0002-qla2xxx-Properly-set-the-return-value-in-function-ql.patch

Comment 7 Gris Ge 2011-02-18 02:15:19 UTC
Basic qla2xxx driver function tested:
1. Large r/w for 2 days (Using dt command)
2. Boot from SAN
3. Link offline detected.
4. rport change detected.

Code reviewed. 
0001-qla2xxx-Drop-srb-reference-before-waiting-for-comple.patch
0002-qla2xxx-Properly-set-the-return-value-in-function-ql.patch
have been applied into 2.6.32-71.18.1.el6

Set as Sanity Only.

Comment 8 errata-xmlrpc 2011-02-22 17:39:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0283.html

Comment 9 Martin Prpič 2011-02-23 15:13:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The qla2xxx driver for QLogic Fibre Channel Host Bus Adapters (HBAs) has been updated to upstream version 8.03.05.01.06.1-k0, which provides a number of bug fixes and enhancements over the previous version.


Note You need to log in before you can comment on or make changes to this bug.